## org.apache.bcel.classfile
Class ConstantFieldref

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantCP
                  |
                  +--org.apache.bcel.classfile.ConstantFieldref

All Implemented Interfaces:
  java.lang.Cloneable, Node

public final class ConstantFieldref
extends ConstantCP

This class represents a constant pool reference to a field.

Version:
  $Id: ConstantFieldref.java,v 1.1.1.1 2001/10/29 19:59:58 jvanzyl Exp $
Author:
  M. Dahm

Fields inherited from class org.apache.bcel.classfile.ConstantCP
`class_index, name_and_type_index`

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantFieldref(ConstantFieldref c)` Initialize from another object.
`ConstantFieldref(int class_index, int name_and_type_index)`

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.

Methods inherited from class org.apache.bcel.classfile.ConstantCP
`dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantFieldref

    public ConstantFieldref(ConstantFieldref c)

  Initialize from another object.

### ConstantFieldref

    public ConstantFieldref(int class_index,
                            int name_and_type_index)

  Parameters:
    `class_index` - Reference to the class containing the Field
    `name_and_type_index` - and the Field signature

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of Fields, fields, attributes, etc. spawns a tree of objects.
  Overrides:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object